Jupyter Notebooks

  1. Python 3 not available in JupyterLab, need it for my course assignment. Help please!

    I need to use Python 3 for a Coursera lab, my JupyterLab only has Python, despite the Coursera Tutorial showing Python 3 available...

    1 vote
    Vote

    We're glad you're here

    Please sign in to leave feedback

    Signed in as (Sign out)
    You have left! (?) (thinking…)
    0 comments  ·  Python  ·  Flag idea as inappropriate…  ·  Admin →
  2. Deep Neural Networks with PyTorch lab not working

    Hi, I can not access labs for Deep Neural Networks with PyTorch, It is showing "500 Internal Server Error". :(

    4 votes
    Vote

    We're glad you're here

    Please sign in to leave feedback

    Signed in as (Sign out)
    You have left! (?) (thinking…)
    0 comments  ·  Python  ·  Flag idea as inappropriate…  ·  Admin →
  3. Downloading Python3 to JupyterLab

    My lab is using Python 2.7, how can I go about updating that to Python 3.8.2?

    Thanks!

    1 vote
    Vote

    We're glad you're here

    Please sign in to leave feedback

    Signed in as (Sign out)
    You have left! (?) (thinking…)
    0 comments  ·  Python  ·  Flag idea as inappropriate…  ·  Admin →
  4. ' HTTP Error 403: Forbidden'

    I keep on getting ' HTTP Error 403: Forbidden' every time i try to import a csv file into JupyterLab. This only occurred recently, I've had no problems before. This is true for chrome and explorer.

    1 vote
    Vote

    We're glad you're here

    Please sign in to leave feedback

    Signed in as (Sign out)
    You have left! (?) (thinking…)
    0 comments  ·  Python  ·  Flag idea as inappropriate…  ·  Admin →
  5. Access to the Jupyter Notebook - Lab-Functions

    There is an error message:
    File Load Error for PY0101EN-3-3-Functions.ipynb
    Unreadable Notebook: /resources/labs/PY0101EN/PY0101EN-3-3-Functions.ipynb NotJSONError("Notebook does not appear to be JSON: 'Stack trace:\n#0 /var/www/polr/vendor/m...")

    1 vote
    Vote

    We're glad you're here

    Please sign in to leave feedback

    Signed in as (Sign out)
    You have left! (?) (thinking…)
    1 comment  ·  Python  ·  Flag idea as inappropriate…  ·  Admin →
  6. 1 vote
    Vote

    We're glad you're here

    Please sign in to leave feedback

    Signed in as (Sign out)
    You have left! (?) (thinking…)
    0 comments  ·  Python  ·  Flag idea as inappropriate…  ·  Admin →
  7. /bin/sh: 1: conda: not found

    I'm getting below error:
    !conda -- version

    /bin/sh: 1: conda: not found

    This used to work. What is missing?
    Please provide exact fix steps as I'm a real newbie.

    1 vote
    Vote

    We're glad you're here

    Please sign in to leave feedback

    Signed in as (Sign out)
    You have left! (?) (thinking…)
    1 comment  ·  Python  ·  Flag idea as inappropriate…  ·  Admin →
  8. Python3 kernel connection issue

    I am not getting connected to Python3 Kernel. It always says reconnecting and finally will be dead. Please suggest

    15 votes
    Vote

    We're glad you're here

    Please sign in to leave feedback

    Signed in as (Sign out)
    You have left! (?) (thinking…)
    1 comment  ·  Python  ·  Flag idea as inappropriate…  ·  Admin →
  9. Install Ta-lib

    I follow the knowledge base suggestion to install Ta-lib: !conda install -c quantopian ta-lib --yes

    However, I encountered the following error messages.

    Solving environment: failed

    UnsatisfiableError: The following specifications were found to be in conflict:
    - scikit-learn==0.20.1
    - ta-lib
    - tensorflow==1.8.0
    Use "conda info <package>" to see the dependencies for each package.

    Can you tell me how to solve this problem?

    Thank you

    1 vote
    Vote

    We're glad you're here

    Please sign in to leave feedback

    Signed in as (Sign out)
    You have left! (?) (thinking…)
    0 comments  ·  Python  ·  Flag idea as inappropriate…  ·  Admin →
  10. Issue with plot the arrays

    Double-click here for the solution.

    <!-- Your answer is below:
    a = np.array([-1, 1])
    b = np.array([1, 1])
    Plotvec2(a, b)
    print("The dot product is", np.dot(a,b))
    -->

    This code is giving error.

    Error: Plotvec2 is not defined.

    4 votes
    Vote

    We're glad you're here

    Please sign in to leave feedback

    Signed in as (Sign out)
    You have left! (?) (thinking…)
    2 comments  ·  Python  ·  Flag idea as inappropriate…  ·  Admin →
  11. 500 Internal Server Error

    I'm trying to access the Jupyter Notebook and I'm getting the following message: "500 Internal Server Error ". What should I do?

    78 votes
    Vote

    We're glad you're here

    Please sign in to leave feedback

    Signed in as (Sign out)
    You have left! (?) (thinking…)
    19 comments  ·  Python  ·  Flag idea as inappropriate…  ·  Admin →
  12. Cannot open Jupyter for IBM PowerAI getting error 502 Bad Gateway

    I am getting error 502 Bad Gateway since yesterday while connecting to Jupyter for IBM PowerAI.

    Is there some kind of maintenance or issue going on?

    Because if it is permanent or if it will take a lot of time I would atleast like to retrieve some of the files that I was working on so that I can resume elsewhere

    12 votes
    Vote

    We're glad you're here

    Please sign in to leave feedback

    Signed in as (Sign out)
    You have left! (?) (thinking…)
    1 comment  ·  Python  ·  Flag idea as inappropriate…  ·  Admin →
  13. Jupyter notebooks go missing mysteriously

    I have recently noticed that when I open the DS Workbench to go to Juypter, my notebooks are missing. It sometimes shows only 1 of workbooks, other times, it shows Untitles1.pnyb

    In the attached screenshot, please observe that all my worksbooks that I worked on for my deep learning class are missing. Please fix asap.

    6 votes
    Vote

    We're glad you're here

    Please sign in to leave feedback

    Signed in as (Sign out)
    You have left! (?) (thinking…)
    4 comments  ·  Python  ·  Flag idea as inappropriate…  ·  Admin →
  14. Notebooks do not load

    When loading a notebook (even an empty one), I see the loading icon spin for many minutes then receive the error: "Notebook Load Failed: We were not able to load the notebook you requested. Click here to try again."

    Is there an issue with my account profile?

    28 votes
    Vote

    We're glad you're here

    Please sign in to leave feedback

    Signed in as (Sign out)
    You have left! (?) (thinking…)
    14 comments  ·  Python  ·  Flag idea as inappropriate…  ·  Admin →
  15. unable to import gensim for w2v

    I think it is not installed . kindly install gensim module.

    1 vote
    Vote

    We're glad you're here

    Please sign in to leave feedback

    Signed in as (Sign out)
    You have left! (?) (thinking…)
    0 comments  ·  Python  ·  Flag idea as inappropriate…  ·  Admin →
  16. PyMC does not install

    PyMC module doesn't install with '!pip install pymc'. The following error is shown:

    Traceback (most recent call last):
    File "/resources/common/.virtualenv/python2/bin/pip", line 7, in <module>
    from pip.internal import main
    File "/resources/common/.virtualenv/python2/lib/python2.7/site-packages/pip/
    internal/init.py", line 42, in <module>
    from pip.internal import cmdoptions
    File "/resources/common/.virtualenv/python2/lib/python2.7/site-packages/pip/
    internal/cmdoptions.py", line 16, in <module>
    from pip.internal.index import (
    File "/resources/common/.virtualenv/python2/lib/python2.7/site-packages/pip/
    internal/index.py", line 15, in <module>
    from pip.vendor import html5lib, requests, six
    File "/resources/common/.virtualenv/python2/lib/python2.7/site-packages/pip/
    vendor/requests/init.py", line 86, in <module>
    from pip.vendor.urllib3.contrib import pyopenssl
    File "/resources/common/.virtualenv/python2/lib/python2.7/site-packages/pip/
    vendor/urllib3/contrib/pyopenssl.py", line 46, in <module>
    import OpenSSL.SSL
    File "/usr/local/lib/python2.7/dist-packages/OpenSSL/init.py", line 8, in <module>…

    1 vote
    Vote

    We're glad you're here

    Please sign in to leave feedback

    Signed in as (Sign out)
    You have left! (?) (thinking…)
    0 comments  ·  Python  ·  Flag idea as inappropriate…  ·  Admin →
  17. I am trying to use seaborn's distplot but its not generating. the error is "javascript is not enabled in jupyter labs"

    I am trying to use seaborn's distplot but its not generating. the error is "javascript is not enabled in jupyter labs" . I am using jupyter notebook but still is not generating

    3 votes
    Vote

    We're glad you're here

    Please sign in to leave feedback

    Signed in as (Sign out)
    You have left! (?) (thinking…)
    0 comments  ·  Python  ·  Flag idea as inappropriate…  ·  Admin →
  18. sklearn.model_selection is now moved to .18 version. Current version is 0.17 - all my notebooks are failing due to this. Please update!!!

    sklearn.model_selection is now moved to .18 version. Current version is 0.17 - all my notebooks are failing due to this. Please update!!!

    9 votes
    Vote

    We're glad you're here

    Please sign in to leave feedback

    Signed in as (Sign out)
    You have left! (?) (thinking…)
    1 comment  ·  Python  ·  Flag idea as inappropriate…  ·  Admin →
  19. Jupyter Notebook not working (13/FEB/2017)

    I am trying to access to BDU Workbeend Jupyter notebook and it is still loading for an infinite time. I tried during all current day (13/Feb/2017).

    14 votes
    Vote

    We're glad you're here

    Please sign in to leave feedback

    Signed in as (Sign out)
    You have left! (?) (thinking…)
    1 comment  ·  Python  ·  Flag idea as inappropriate…  ·  Admin →
  20. Insert Import for Python file not working

    The functionality to have a context menu for Notebooks and Python files is quite nice, but unfortunately it does not work for me.

    I have a larger project with many local *.py files that are imported, yet in my Jupyter notebooks the dot-string that the "Insert Import" functionality gives me does not resolve. I.e. I get errors like:

    ----> 3 import data.mycode.QFog.Dag

    ImportError: No module named 'data'

    I am suprised that this issue is not reported yet. It makes working with a large python project virtually impossible on the platform.

    1 vote
    Vote

    We're glad you're here

    Please sign in to leave feedback

    Signed in as (Sign out)
    You have left! (?) (thinking…)
    0 comments  ·  Python  ·  Flag idea as inappropriate…  ·  Admin →
  • Don't see your idea?

Jupyter Notebooks

Categories

Feedback and Knowledge Base